## 2.7.1.tar.gz

=== requirements.txt ===
sgmllib3k>=1.0.0
polib>=0.7.0
pytest>=2.0.0
pytest-monkeyplus>=1.1.0
sphinx>=1.1.2
