=== debian/control ===
Source: moneyguru
Section: devel
Priority: extra
Maintainer: Virgil Dupras <hsoft@hardcoded.net>
Build-Depends: debhelper (>= 7), python3-dev, python3-setuptools
Standards-Version: 3.8.1
Homepage: http://www.hardcoded.net

Package: moneyguru
Architecture: any
Depends: python3 (>=3.2), python3-pyqt4
Description: moneyGuru
